﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Pivot.Adomd;
using Telerik.Pivot.Core;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.FieldList;

namespace RadPivotGrid_WPF_838753
{
    public class CustomContextMenuBehavior : FieldListContextMenuBehavior
    {
        protected override RadContextMenu CreateContextMenu(object dataContext)
        {
            var contextMenu = base.CreateContextMenu(dataContext);
            var groupDesc = dataContext as AdomdGroupDescription;
            
            if (groupDesc != null && groupDesc.MemberName == "[Sales Territory].[Sales Territory Group]")
            {
                // Remove the separator item
                contextMenu.Items.RemoveAt(3);

                // Remove Label Filter item
                contextMenu.Items.RemoveAt(3);

                // Remove Value Filter item
                contextMenu.Items.RemoveAt(3);

                // Remove Clear Filter item (Clear Filter is created only for groups which have filtered applied.
                contextMenu.Items.RemoveAt(3);
            }

            return contextMenu;
        }
    }
}
